Description

I'm having trouble w/ dhcp.

I'm getting the following behavior

when I tried to provision a new host, even though I setup a dhcp range.  Foreman would ping for a free ip address in that subnet.

When I tried to add the host, I'm getting the following message.

Unable to save

DHCP Settings for test00055m task failed with the following error: Failed to add DHCP reservation for test00055 (10.10.10.5 /

11:33:33:11:34:55): No response from DHCP server

Could you advised.  I believe I am running Foreman (Version 0.4.2), checking the footer of the page.

Thanks,

Thomas

Thomas

History

#1 - 05/02/2012 05:08 PM - Thomas Go

Hi,

I am able to connect to my dhcp server and be given an IP.  It seems like the foreman-proxy isn't seeing the range of IP Address that I ask it to set.  

This is what I'm seeing in the log file.  It's ignoring my dhcp range and doing a ping test.. is this the behavior?

I, [2012-05-02T16:56:25.323887 #3196]  INFO -- : Attempt to remove nonexistant client autosign for test00024.mgmt.ccmteam.com

E, [2012-05-02T16:56:25.324009 #3196] ERROR -- : Attempt to remove nonexistant client autosign for test00024.mgmt.ccmteam.com

D, [2012-05-02T16:56:37.906399 #3196] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-05-02T16:56:37.906556 #3196] DEBUG -- : Added 10.45.6.0/255.255.254.0 to 127.0.0.1

D, [2012-05-02T16:56:37.906636 #3196] DEBUG -- : Added 10.45.4.0/255.255.254.0 to 127.0.0.1

D, [2012-05-02T16:56:37.906854 #3196] DEBUG -- : trying to find an ip address, we got {:to=>nil, :from=>nil, :mac=>nil}

D, [2012-05-02T16:56:37.916957 #3196] DEBUG -- : Loading subnet data for 10.45.4.0/255.255.254.0

I, [2012-05-02T16:56:37.917255 #3196]  INFO -- : Enumerated hosts on 10.45.4.0

D, [2012-05-02T16:56:37.917304 #3196] DEBUG -- : Lazy loaded 10.45.4.0/255.255.254.0 records

D, [2012-05-02T16:56:37.917387 #3196] DEBUG -- : Searching for free ip - pinging 10.45.4.1

I, [2012-05-02T16:56:37.919264 #3196]  INFO -- : Found a pingable IP address which does not have a Proxy::DHCP record

D, [2012-05-02T16:56:37.919319 #3196] DEBUG -- : Searching for free ip - pinging 10.45.4.2

D, [2012-05-02T16:56:39.943054 #3196] DEBUG -- : Found free ip 10.45.4.2 out of a total of 510 free ips

Thomas

#2 - 06/07/2012 08:20 AM - Ohad Levy

- Status changed from New to Feedback

afair, range support into the proxy was introduced in the non stable repo, consider upgrading it from yum.theforeman.org/test and see if that works

Ohad

#3 - 01/03/2013 11:35 AM - Benjamin Papillon
Hello,

Did you update Foreman? Does it work for you now?

Regards

#4 - 06/18/2013 11:56 AM - Benjamin Papillon

- Status changed from Feedback to Closed

I'm closing this ticket because of no feedback. If you think I'm mistaken, feel free to open it again :)
